Lompati ke konten utama

Browser ini sudah tidak didukung.

Tingkatkan ke Microsoft Edge untuk memanfaatkan fitur, pembaruan keamanan, dan dukungan teknis terkini.

Unduh Microsoft Edge Informasi selengkapnya tentang Internet Explorer dan Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Skills

Create a new version of a skill Create a skill version from uploaded files

POST /skills/{name}/versions

Creates a new version of a skill. If the skill does not exist, it will be created. Creates a new version of a skill from uploaded files via multipart form data.

Parameter jalur

name string diperlukan

The name of the skill. If the skill does not exist, it will be created.

Parameter header

Foundry-Features enum diperlukan

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Skills=V1Preview

Parameter kueri

api-version string diperlukan

The API version to use for this operation.

Isi Permintaan

The multipart request content.

Content-Type: application/json
inline_content SkillInlineContent

Inline content for defining a simple skill without uploading files. Follows the agentskills.io SKILL.md specification.

description string diperlukan

A human-readable description of what the skill does and when to use it.

instructions string diperlukan

The skill instructions in markdown format. This is the body content of the SKILL.md file.

license string

License name or reference to a bundled license file.

compatibility string

Environment requirements or compatibility notes for the skill.

metadata object

Arbitrary key-value metadata for additional properties.

[key: string] string
allowed_tools string[]

List of pre-approved tools the skill may use. Experimental.

default boolean

Whether to set this version as the default.

Content-Type: multipart/form-data
files any[] diperlukan

Skill files to upload. Upload a single zip file or multiple individual files with relative paths.

default boolean

Whether to set this version as the default. Defaults to false.

Respons

The request has succeeded.

Isi

Content-Type: application/json
id string diperlukan

The unique identifier of the skill version.

skill_id string diperlukan

The identifier of the parent skill.

name string diperlukan

A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.

version string diperlukan

The version identifier. Skill versions are immutable.

description string diperlukan

A human-readable description of the skill version.

created_at integer diperlukan

Client error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Isi

Content-Type: application/json
error OpenAI.Error diperlukan
code string | null diperlukan
message string diperlukan
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Salah satu dari yang berikut:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string diperlukan

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Minta

POST /skills/{name}/versions HTTP/1.1

Tanggapan

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
id-id
Pilihan Privasi Anda
  • Pengelakan AI
  • Versi Sebelumnya
  • Blog
  • Berikan kontribusi
  • Privasi
  • Privasi Kesehatan Konsumen
  • Persyaratan Penggunaan
  • Merek Dagang
  • © Microsoft 2026